textures/decals/arrow2
{
	cull disable
	qer_editorimage textures/decals/arrow2.tga
	surfaceparm nolightmap
	surfaceparm trans	
	surfaceparm nomarks	
	nopicmip

	{
		clampmap textures/decals/arrow2.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen exactVertex
                	depthWrite
		rgbGen identity
	}
}

textures/proto2/electric
{
	q3map_surfacelight	200
	surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	
	{
	clampmap textures/proto2/electric.tga
	blendFunc GL_ONE GL_ONE
	rgbgen wave triangle .8 2 0 9
	tcMod rotate 360
	}
	{
	clampmap textures/proto2/electric.tga
	blendFunc GL_ONE GL_ONE
	rgbgen wave triangle 1 1.4 0 9.5
	tcMod rotate -202
	}
}

textures/tron/techno1
{
	q3map_lightimage textures/tron/techno1.tga
	q3map_surfacelight 100

	{
		map textures/tron/techno1.tga
		rgbGen wave square 0 1 0 .5
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
		rgbGen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
		rgbGen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/tron_details/M03X_D03
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	nopicmip
	q3map_surfacelight 50

	{
		map textures/tron_details/M03X_D03.tga
		blendFunc Add
		rgbGen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthFunc equal
	} 
}

textures/tron_floor/M03L_F05
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	nopicmip
	q3map_surfacelight 50

	{
		map textures/tron_floor/M03L_F05.tga
		blendFunc Add
		rgbGen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthFunc equal
	} 
}

textures/tron_lab/LABEDGEDSQUARE02b
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tron_lab/LABEDGEDSQUARE02b.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/tron_trim/M01X_T02
{
	q3map_surfacelight 250
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tron_trim/M01X_T02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tron_trim/M01X_T02.tga
		blendfunc GL_ONE GL_ONE
	}
}



textures/tron_sfx/digital1
{
	qer_editorimage textures/tron_decals/M04K_D02.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	nopicmip
	q3map_surfacelight 50

	{
		map textures/tron_decals/M04K_D02.tga
		blendFunc Add
		tcMod scroll -0.5 0
		rgbGen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthFunc equal
	} 
}

textures/tron_sky/ring01
{
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1 1 1 80 90 45
	q3map_surfacelight 50
	skyparms env/tron/ring01 - -

	{
		map textures/tron_sky/1SKY15.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.04 0.04
		tcMod scale 1 1
	}
	{
		map textures/tron_sfx/TRIPPY_5.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.05
		tcMod scale 2 2
	}
}

textures/tron_wall/M01P_W24
{
	q3map_surfacelight 250
	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tron_wall/M01P_W24.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tron_wall/M02N_W32.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tron_wall/M02N_WW25b
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	nopicmip
	q3map_surfacelight 50

	{
		map textures/tron_wall/M02N_WW25b.tga
		blendFunc Add
		rgbGen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthFunc equal
	} 
}

